// LogDialog.cpp : implementation file
//

#include "stdafx.h"
#include "Vehicles.h"
#include "LogDialog.h"
#include ".\logdialog.h"
#include "VehiclesDoc.h"
#include "MainFrm.h"

// CLogDialog dialog

IMPLEMENT_DYNAMIC(CLogDialog, CDialog)
CLogDialog::CLogDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CLogDialog::IDD, pParent)
	, log(_T(""))
	, car(0)
{
}

CLogDialog::~CLogDialog()
{
}

void CLogDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT1, log);
	DDX_Text(pDX, IDC_EDIT2, car);
}


BEGIN_MESSAGE_MAP(CLogDialog, CDialog)
	ON_EN_CHANGE(IDC_EDIT2, OnEnChangeEdit2)
END_MESSAGE_MAP()


// CLogDialog message handlers

void CLogDialog::OnEnChangeEdit2()
{
	CVehiclesDoc *pDoc =(CVehiclesDoc*)((CMainFrame*)AfxGetApp()->m_pMainWnd)->GetActiveDocument();

	UpdateData(true);

	if(car < 0)
		car = 0;
	if(car >= pDoc->world.automobiles.size())
		car = pDoc->world.automobiles.size() - 1;

	log = "";

	for(int i = (pDoc->world.automobiles[0].currentLogString + 1)%100; i != pDoc->world.automobiles[0].currentLogString; i = (i+1)%100)
		log += pDoc->world.automobiles[0].log[i];

	log += pDoc->world.automobiles[0].log[pDoc->world.automobiles[0].currentLogString];

	UpdateData(false);
}
